J'ai une question ouverte qui doit être rédigées sur une feuille séparée. Mais j'aimerai que la réponse soit sur 
deux pages. Or avec AMCopen on ne peut avoir plus d'une page de feuille réponse.
Existe-t-il un moyen d'avoir la réponse sur deux pages ?
Merci,
Émilie

History
11/29/2023 09:32 pm - Frédéric Bréal
La zone de réponse est une @minipage@ donc non sécable.
Je vous propose de faire 2 questions à la suite en supprimant le numéro de la question 2 et en annulant le barème et cachant sa zone de notation.
<pre>
{
  \begin{question}{open}
    Combien d'états sont membres de l'Union Européenne en janvier 2009 ?

\AMCOpen{lines=16}{\bonne[1]{1}\bareme{1}}
  \end{question}

\def\AMCbeginQuestion##1##2{}
\AMCquestionNumberfalse
  \begin{question}{open-suite}\QuestionIndicative

\AMCOpen{lines=16, backgroundcol=white, foregroundcol=white, question= suite de votre réponse} {\bonne[0]{0}\bareme{0}}
  \end{question}
}
</pre>
Une autre idée, que je n'ai pas le temps de tester, c'est d'utiliser @contentcommand@ et d'utiliser le paquet @longtable@ pour générer une suite de 
ligne.

11/30/2023 02:28 pm - Emilie Dupont
Merci. Cela fonctionne mais j'ai un message d'erreur avec la commande : \def\AMCbeginQuestion##1##2{}
Après compilation en PDFLatex, j'ai le message d'erreur : 

<pre>
! Parameters must be numbered consecutively.
<to be read again> 
                   2
l.869 }    
! Argument of \AMCbeginQuestion has an extra }.
<inserted text> 
                \par 
l.869 }
Runaway argument?
{}\ifx \@empty \AMC@sz@callin \@empty \else \csname \AMC@sz@callin \endcsname \
ETC.
! Paragraph ended before \AMCbeginQuestion was complete.
</pre>

Sachant que j'ai utilisé le code de la manière suivante :

<pre>
\begin{questionmultx}{cylindreQ7}{\bf (3 points)}
\def\AMCotextGoto{\par{\bf\emph{Répondez sur les deux feuilles correspondantes, à la fin du sujet.}}}

Démontrer l'expression du champ \'electrique $\overrightarrow{E}$ et du potentiel $V$ pour $r \geq R$, en d\'etaillant les calculs (symétries, 
invariances, surface de Gauss, flux, charges $q_{int}$ $\dots$).
%
\AMCOpen{question=Cylindre chargé en volume~,contentcommand=grid}{
\bonne[.5]{0.5}\scoring{b=0.5,m=0}
\bonne[.5]{0.5}\scoring{b=0.5,m=0}
% \pointn{-0.5}\pointp{1}\pointp{1}\pointp{2}
% \mauvaise[B]{-1}\scoring{b=0,m=-1}
% \mauvaise[B]{-2}\scoring{b=0,m=-2}
\bonne[1]{1}\scoring{b=1,m=0}
\bonne[1]{1}\scoring{b=1,m=0}
}
%
\end{questionmultx}
%
\def\AMCbeginQuestion##1##2{}
\AMCquestionNumberfalse
\def\AMCotextGoto{\par{\bf\emph{ }}}
\begin{question}{open-suite}\QuestionIndicative
\AMCOpen{contentcommand=grid, backgroundcol=white, foregroundcol=white, question= Cylindre chargé en volume (suite)} {\bonne[0]{0}\bareme{0}}
  \end{question}
</pre>
J'ai enlevé la commande qui posait problème et après tout fonctionne.
Merci pour votre aide.

11/30/2023 02:39 pm - Alexis Bienvenüe
Est-ce que vous ne pouvez pas simplement faire suivre la question de pages blanches (ou de pages avec des lignes si vous le souhaitez) ?

11/30/2023 02:47 pm - Emilie Dupont

Si je mets qu'un # au lieu de 2 dans
<pre>
\def\AMCbeginQuestion##1##2{}
</pre> 
cela fonctionne très bien.

06/04/2025 06:55 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
